Bug 977346 - NVIDIA G72 fails cogl conformance tests
NVIDIA G72 fails cogl conformance tests
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 07:10 EDT by Marian
Modified: 2015-02-17 10:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:40:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wo xorg.conf (3.36 KB, text/plain)
2013-06-24 07:10 EDT, Marian
no flags Details
w xorg.conf (3.36 KB, text/plain)
2013-06-24 07:10 EDT, Marian
no flags Details
xorg.conf create whith Xorg -configure (5.52 KB, text/plain)
2013-06-24 07:28 EDT, Marian
no flags Details
And only modesetting module work fine. (1.66 KB, text/plain)
2013-06-24 08:57 EDT, Marian
no flags Details

  None (edit)
Description Marian 2013-06-24 07:10:12 EDT
Created attachment 764553 [details]
wo xorg.conf

Description of problem:


Version-Release number of selected component (if applicable):
cogl-1.14.1

How reproducible:run on terminal Xorg -configure and result(xorg.conf.new from root directory rename and place on /etc/X11/)

Steps to Reproduce:
1.run on terminal ./run-tests * (present on /BUILD/cogl-1.14.0/tests/conforn) whith xorg.conf
2..run on terminal ./run-tests * (present on /BUILD/cogl-1.14.0/tests/conforn) whithout xorg.conf
3.compare results

Actual results:
with xorg.conf have good results

Expected results:
Place xorg.conf on distribution.

Additional info:
Comment 1 Marian 2013-06-24 07:10:54 EDT
Created attachment 764554 [details]
w xorg.conf
Comment 2 Marian 2013-06-24 07:28:47 EDT
Created attachment 764556 [details]
xorg.conf create whith Xorg -configure
Comment 3 Marian 2013-06-24 08:57:52 EDT
Created attachment 764573 [details]
And only modesetting module work fine.
Comment 4 Peter Robinson 2013-06-24 12:41:52 EDT
I'm not sure what your asking here
Comment 5 Marian 2013-06-24 15:32:54 EDT
I'm not asking nothing , i report new bug.
Comment 6 Peter Robinson 2013-06-24 15:39:48 EDT
what is the bug? I don't understand what it is.

We don't use xorg.conf files anymore and everything is autodetected. It seems when you create a xorg.conf something is fixed or improved but you don't outline what that is
Comment 7 Marian 2013-06-24 15:59:32 EDT
Let explain please, i have NVIDIA Corporation G72 [GeForce 7300 GS] (reva1) and wo xorg.conf have more errors when running ./run-tests * present on /cogl-1.14.0/tests/conform .Big problem it is on nouveau module when without xorg.conf is launched first and is not good for me.
 Last attachment solve this issue (modesetting module launched first) for me and this it.
 Wait to use nouveau module on future.
Comment 8 Peter Robinson 2013-06-24 16:19:54 EDT
This isn't a bug with cogl but rather with the driver and the fix isn't to put a xorg.conf in place but rather fix the bug than work around it
Comment 9 Fedora End Of Life 2015-01-09 13:30:54 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 10:40:25 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.